package com.ym.game

/**
 * @author (wangXuewei)
 * @datetime 2020-10-09 22:12 GMT+8
 * @detail :
 */
interface IUnitySendMessageCallback {
    //主页
    fun onHomeSuccess(isSuccess: Boolean, result: String)

    //云朵加速
    fun onCloudSpeedSuccess(isSuccess: Boolean, result: String)

    //土地列表
    fun onFarmLandListSuccess(isSuccess: Boolean, result: String)

    //土地解锁，种植，收获
    fun onLandUnLockSuccess(isSuccess: Boolean, result: String)

    //使用加速剂
    fun onUseAcceleratorsSuccess(isSuccess: Boolean, result: String)

    //购买种子
    fun onBuySeedSuccess(isSuccess: Boolean, result: String)

    //仓库
    fun onHomeWareListSuccess(isSuccess: Boolean, result: String)

    //订单列表
    fun onOrderListSuccess(isSuccess: Boolean, result: String)

    //订单领取
    fun onOrderReceiveSuccess(isSuccess: Boolean, result: String)

    //看视频获得种子
    fun onIncrVideoSeedSuccess(isSuccess: Boolean, result: String)

    //看视频获得加速剂
    fun onIncrVideoAcceleratorsSuccess(isSuccess: Boolean, result: String)

    //看视频获得宝箱奖励
    fun onAdFlyBoxSuccess(isSuccess: Boolean, result: String)

    //判断新手
    fun onGetGuideSuccess(isSuccess: Boolean, result: String)

    //红包列表成功
    fun onRedPackListSuccess(isSuccess: Boolean, result: String)

    //判断是否云朵加速
    fun onGetCheckCloud(isSuccess: Boolean, result: String)

    //收集卡片
    fun onAddCardSuccess(isSuccess: Boolean, result: String)

    //查询碎片角标
    fun onGetCardList(isSuccess: Boolean, result: String)
}